# jquery.console.js

Simple JS console for browsers without a built-in solution.

![The Console in Action](https://github.com/olav/jquery.console.js/raw/master/demo/screenshot.png)

## Use case:

1. You need a JS console, but your current browser does not have one, &&
2. You do not have any tools available that can show such a console.

If the window.console object is not set, as in IE7, 
this simple jQuery plugin will create a HTML console where messages are displayed.
Any script errors will also be displayed, but this will not stop the browser's
standard error handler from executing.

Do *not* use this plugin in a production setting, as it is pretty ev(a|i)l.
This is a development tool. :)

## Usage:

1. Include jquery, jquery.console.js and jquery.console.css on your site.
2. If the browser in question does not support JSON.stringify, like IE < v8,
   you must also include [Crockford's JSON parser](https://github.com/douglascrockford/JSON-js).
3. Initialize the plugin:

```javascript
$(function() {
    // Create a console inside <body>
    $("body").console();
    console.log("It works! Press | to toggle the console.");
});
```

Of course, there are often better solutions available, and if you can, use them. 
However, in some cases, these tools are not available, allowed or desirable. 
This plugin is for these cases.
There's a demo in the "demo"-folder.

MIT Licensed.

## Options

The following options can be passed to the plugin, here shown with default values.

```javascript
activated: true              // Should the plugin be activated?
force: false                 // Always show the console (for debugging of this plugin).
showOnLoad: false            // Show the console on page load.
useNativeErrorHandler: true  // Use the browser's error handler when applicable.
selector: "consolewrapper"   // Selector used to wrap the console.
mask: false                  // Do not create the console, but rather a fake console object to prevent errors.
```

