# jquery.observe.js

(Work in progress :).

Super-simple observation helpers for jQuery.

## Use case:

1. You have a literal JS object, and HTML elements which correspond to values in the object.
2. You'd like updates in the HTML or in the object to be propagated between them.
3. A full-blown observer library is too much hassle.

## Limitations:

- Currently only works for input:text, input:checkbox, textarea 
  and non-input elements (p, div, etc).
  
## Usage:
   
```javascript 
// A simple object with literal fields.
var myobj = { a: 1, b: true, c: "hello" };

// Changes to these form fields will update the given object and key.
// Input values will be converted to their original type.
$("input:text").observe(myobj, "a");
$("input:checkbox").observe(myobj, "b");

// You can pass a callback function that intercepts values going from HTML to the object.
$("textarea").observe(myobj, "c", function(val) {
     return val.toUpperCase();
});

// If you update the object, you can call its notify function to update the HTML.
// This will overwrite any existing input in the HTML.
myobj.c = "Bye!";
myobj.notify();
```

MIT Licensed.
